### Method

# Ide Context set_project_id

#### Declaration

    void
    ide_context_set_project_id (
      IdeContext* self,
      const gchar* project_id
    )

#### Description

Sets the project-id for the context.

Generally, this should only be done once after loading a project.

Available since: | 3.32

Sets property | `Ide.Context:project-id`

#### Parameters

`project_id` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.